POST
/api/v1/reserves/proof/verifyReserve proofs
Verify reserve proof
Check any proof artifact against the sandbox policy key.
Sandbox API
https://sandbox-api.nuvante.ioRuns the policy check again against an artifact that was generated earlier. If the artifact's keyId isn't reserve-policy-v1-sandbox, you'll get a 400. Any valid portal session (JWT) can call this.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| artifact | ReserveProofArtifact · body | Yes | The proof artifact returned by the generate or GET endpoint. |
Responses
200Verification result.
400The artifact's key isn't the sandbox policy key.
Request
curl --request POST \
--url 'https://sandbox-api.nuvante.io/api/v1/reserves/proof/verify' \
--header 'Authorization: Bearer nvt_sandbox_your_key' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"artifact": {
"issuerId": "323e4567-e89b-42d3-a456-426614174002",
"keyId": "reserve-policy-v1-sandbox",
"generatedAt": "2026-08-19T13:00:00.000Z",
"pass": true,
"snapshot": {
"reservesGbp": "1200000.0000000",
"supplyIssued": "1000000.0000000",
"centralBankDepositRatio": 0.4
}
}
}'Response
{
"data": {
"pass": true,
"keyId": "reserve-policy-v1-sandbox"
},
"meta": {
"commandId": "d23e4567-e89b-42d3-a456-426614174031"
}
}